%{?nodejs_find_provides_and_requires}

# some packages are not in fedora yet
%global enable_tests 0
%global packagename http-proxy

Name:               nodejs-%{packagename}
Version:            1.16.2
Release:            3%{?dist}
Summary:            A full-featured http proxy for node.js

License:            MIT
URL:                https://github.com/nodejitsu/node-%{packagename}
Source0:            https://github.com/nodejitsu/node-%{packagename}/archive/%{version}.tar.gz

BuildArch:          noarch
ExclusiveArch:      %{nodejs_arches} noarch

BuildRequires:      nodejs-packaging
BuildRequires:      npm(eventemitter3)
BuildRequires:      npm(requires-port)

%if 0%{?enable_tests}
BuildRequires:      npm(async)
BuildRequires:      npm(blanket)
BuildRequires:      npm(coveralls)
BuildRequires:      npm(dox)
BuildRequires:      npm(sse)
BuildRequires:      npm(socket.io)
BuildRequires:      npm(semver)
BuildRequires:      npm(mocha)
BuildRequires:      npm(ws)
%endif

%description
node-%{packagename} is an HTTP programmable proxying library that supports
web sockets. It is suitable for implementing components such as reverse
proxies and load balancers.

%prep
%autosetup -n node-%{packagename}-%{version}
rm -rf node_modules

%nodejs_fixdep eventemitter3

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib \
    %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
mocha test/*-test.js
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}/

%changelog
* Tue May 09 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.16.2-3
- Fix the BuildRequires

* Wed May 03 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.16.2-2
- Fix rpmlint warning
- fixdeps for npm(eventemitter3)

* Mon Apr 17 2017 Parag Nemade <pnemade AT redhat DOT com> - 1.16.2-1
- Initial packaging
